<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        DB::table('airlines')
            ->where('internal_name', 'virgin-australia-regional')
            ->update(['logo' => 'VA.png']);


        DB::table('airlines')->insert([
            'IATA_code'     => 'XR',
            'ICAO_code'     => 'OZW',
            'name'          => 'Skywest',
            'internal_name' => 'skywest',
            'country_code'  => 'AU',
            'country_name'  => 'Australia',
            'active'        => false,
            'logo'          => 'XR_1.png',
        ]);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        DB::table('airlines')->where('internal_name', 'skywest')->delete();

        DB::table('airlines')
            ->where('internal_name', 'virgin-australia-regional')
            ->update(['logo' => 'XR.png']);
    }
};
